uuid: 1c174624-10d1-4f3c-aad4-8c3ec48de036
langcode: en
status: true
dependencies:
  config:
    - search_api.index.default_solr_index
    - views.view.solr_search_content
  module:
    - search_api
_core:
  default_config_hash: IdY4LD9C_1MCrj4vFYQYMLD6GvkEv6WtaqJpwp0jpXg
id: subject
name: Subject
weight: -1
min_count: 1
missing: false
missing_label: others
url_alias: subject
facet_source_id: 'search_api:views_page__solr_search_content__page_1'
field_identifier: subject_general_name
query_operator: or
hard_limit: 0
exclude: false
use_hierarchy: false
keep_hierarchy_parents_active: false
hierarchy:
  type: taxonomy
  config: {  }
expand_hierarchy: false
enable_parent_when_child_gets_disabled: true
widget:
  type: links
  config:
    show_numbers: true
    soft_limit: 10
    show_reset_link: false
    reset_text: 'Show all'
    hide_reset_when_no_selection: false
    soft_limit_settings:
      show_less_label: 'Show less'
      show_more_label: 'Show more'
empty_behavior:
  behavior: none
only_visible_when_facet_source_is_visible: true
show_only_one_result: false
show_title: false
processor_configs:
  active_widget_order:
    processor_id: active_widget_order
    weights:
      sort: 20
    settings:
      sort: DESC
  count_widget_order:
    processor_id: count_widget_order
    weights:
      sort: 30
    settings:
      sort: DESC
  display_value_widget_order:
    processor_id: display_value_widget_order
    weights:
      sort: 40
    settings:
      sort: ASC
  hide_inactive_siblings_processor:
    processor_id: hide_inactive_siblings_processor
    weights:
      build: 10
    settings: {  }
  hierarchy_processor:
    processor_id: hierarchy_processor
    weights:
      build: 100
    settings: {  }
  url_processor_handler:
    processor_id: url_processor_handler
    weights:
      pre_query: 50
      build: 15
    settings: {  }
